> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Payment

Retrieve details of an existing Payment.

## Path Parameters

## Returns

Returns the corresponding Payment if it exists.

```bash cURL theme={null}
curl https://production.methodfi.com/payments/pmt_VeCfmkwGKb \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const payment = await method.payments.retrieve('pmt_VeCfmkwGKb');
```

```python Python theme={null}
payment = method.payments.retrieve('pmt_VeCfmkwGKb')
```

```json theme={null}
{
  "id": "pmt_VeCfmkwGKb",
  "source": "acc_hmap9mbgfLcf9",
  "destination": "acc_YXDrjADGjC76U",
  "amount": 5000,
  "description": "Loan Pmt",
  "status": "posted",
  "estimated_completion_date": "2024-03-21",
  "source_trace_id": "203942084920",
  "source_settlement_date": "2024-03-15",
  "source_status": "sent",
  "destination_trace_id": "304820184832",
  "destination_settlement_date": "2024-03-21",
  "destination_posted_date": "2024-03-21",
  "destination_status": "posted",
  "destination_payment_method": "electronic",
  "reversal_id": null,
  "reversal_account": "acc_hmap9mbgfLcf9",
  "payment_instrument": null,
  "fee": null,
  "type": "standard",
  "fund_status": "posted",
  "error": null,
  "metadata": null,
  "created_at": "2024-03-14T16:15:26.074Z",
  "updated_at": "2024-03-21T12:00:00.000Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.